## org.w3c.jigsaw.pagecompile
Class PageCompileFile

    java.lang.Object
      |
      +--org.w3c.jigsaw.pagecompile.PageCompileFile

public class PageCompileFile
extends java.lang.Object

Constructor Summary
`PageCompileFile(java.lang.String filename)` Create a PageCompileFile.

Method Summary
`protected void` | `readFileData(java.lang.String filename)`
`void` | `writeBytes(int start, int end, java.io.OutputStream out)` Write some bytes from this file in the given output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageCompileFile

    public PageCompileFile(java.lang.String filename)
                    throws java.io.IOException

  Create a PageCompileFile.
  Parameters:
    `filename` - the filename
  Throws:
    java.io.IOException - if an IO error occurs.

Method Detail

### readFileData

    protected void readFileData(java.lang.String filename)
                         throws java.io.IOException

### writeBytes

    public void writeBytes(int start,
                           int end,
                           java.io.OutputStream out)
                    throws java.io.IOException

  Write some bytes from this file in the given output stream.
  Parameters:
    `start` - start position in the file
    `end` - end position in the file
    `out` - the destination output stream
  Throws:
    java.io.IOException - if an IO error occurs